Bug 26904 - Kernel panic when booting 2.2.17-14 and Buslogic scsi
Kernel panic when booting 2.2.17-14 and Buslogic scsi
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: mkinitrd (Show other bugs)
6.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Matt Wilson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-09 20:23 EST by david
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-21 18:51:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description david 2001-02-09 20:23:05 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en] (WinNT; U)


On 6.0 and 6.1 the new kernel updates 2.2.17-14 fail when booting from Buslogic scsi drive.  
All previous kernels have worked fine.


Reproducible: Always
Steps to Reproduce:
1. install kernel-2.2.17-14 rpms
2. run mkinitrd and lilo
3. reboot
	

Actual Results:  kernel panic, Unable to mount root fs on reboot.

Expected Results:  System booted up.

When installing rpm the following messages are seen.
[root@ns1 kernel-update]# rpm -ivh kernel-2.2.17-14.i686.rpm
kernel                      ##################################################
modprobe: tc90x multiply defined
modprobe: tc90x multiply defined
modprobe: tc90x multiply defined
modprobe: tc90x multiply defined
modprobe: Pci2220i multiply defined
modprobe: Pci2000 multiply defined
modprobe: AAC multiply defined
modprobe: FPT multiply defined
modprobe: BusLogic multiply defined
/lib/modules/2.2.17-14/misc/cpia_usb.o: unresolved symbol(s)

And this is the error on boot:
Partition check:
RAMDISK: Compressed image found at block 0
autodetecting RAID arrays
autorun ...
... autorun DONE.
VFS: Mounted root (ext2 filesystem).
autodetecting RAID arrays
autorun ...
... autorun DONE.
kmod: failed to exec /sbin/modprobe -s -k block-major-8, errno = 2
VFS: Cannot open root device 08:01
Kernel panic: VFS: Unable to mount root fs on 08:01
Comment 1 Bill Nottingham 2001-02-09 20:45:27 EST
Did you remake the initrd?

If so, what is actually in it - what does the linuxrc say?
Comment 2 david 2001-02-09 21:38:48 EST
Yes mkinitrd and lilo were both run after installing the kernel rpms.
[root@ns1 boot]# /sbin/mkinitrd -v /boot/initrd-2.2.17-14.img 2.2.17-14
Using modules: 
Using loopback device /dev/loop0
/bin/ash.static -> /tmp/initrd.2324/bin/sh
/sbin/insmod.static -> /tmp/initrd.2324/bin/insmod

Reading boot sector from /dev/sda
Merging with /boot/boot.b
Boot image: /boot/vmlinuz-2.2.16
Mapping RAM disk /boot/initrd-2.2.16.img
Added linux *
Boot image: /boot/vmlinuz-2.2.17-14
Mapping RAM disk /boot/initrd-2.2.17-14.img
Added linux-2.2.17-14
Boot image: /boot/vmlinuz-2.2.12-20
Mapping RAM disk /boot/initrd-2.2.12-20.img
Added linux-2.2.12
Boot image: /boot/vmlinuz-2.2.5-15
Mapping RAM disk /boot/initrd-2.2.5-15.img
Added linux-2.2.5-15
/boot/boot.0800 exists - no backup copy made.
Writing boot sector.

As for linuxrc, I'm not familiar with that.
Comment 3 Michael K. Johnson 2001-02-13 18:56:10 EST
mkinitrd does not appear to be putting the BusLogic driver in the
initrd.  Which version of mkinitrd do you have?
Comment 4 david 2001-02-13 21:09:42 EST
[root@ns1 boot]$ cat /etc/redhat-release
Red Hat Linux release 6.0 (Hedwig)
[root@ns1 boot]$ cat /etc/modules.conf
alias scsi_hostadapter BusLogic 
alias eth0 3c59x 
[root@ns1 boot]$ rpm -q mkinitrd
mkinitrd-2.0-1
[rootr@ns1 boot]$ /sbin/mkinitrd --version
mkinitrd: version 2.0

I don't see any errata for mkinitrd for 6.0 or 6.1
Comment 5 Erik Troan 2002-05-21 18:51:21 EDT
this bug is pretty old... please open a new bug if you're having problems still

Note You need to log in before you can comment on or make changes to this bug.